#include <stdio.h>
#include <stdlib.h>

int main()
{
    int N,K;
    scanf("%d",&N);
    scanf("%d", &K);
    int a[N];
    int i;
    for(i=0;i<N;i++)
    {
        scanf("%d",&a[i]);
    }

    if(K==a[N-1])
    {
        printf("%d", a[0]);
        return 0;
    }
 else{
        for(i=0;i<N;i++)
        {
           if(K==a[i])
                break;
        }

            printf("%d", a[i+1]);
    }



    return 0;



}